Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -11279,6 +23033,12 @@
 3) Some numerical MIE tags allow units of measurement to be specified.  For
 these tags, units may be added in brackets immediately following the value
-(ie. C<55(mi/h)>).  If no units are specified, the default units are
+(eg. C<55(mi/h)>).  If no units are specified, the default units are
 written.
+
+4) ExifTool writes compressed metadata to MIE files if the Compress (-z)
+option is used and Compress::Zlib is available.
+
+See L<https://exiftool.org/MIE1.1-20070121.pdf> for the official MIE
+specification.
 
   Tag ID               Tag Name                 Writable
@@ -11430,5 +23190,5 @@
   'Copyright'          Copyright                string
   'CreateDate'         CreateDate               string
-  'EMail'              EMail                    string
+  'EMail'              Email                    string
   'Keywords'           Keywords                 string+
   'ModifyDate'         ModifyDate               string
@@ -11561,90 +23321,103 @@
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  'asoc'   Association                          N
-  'bfil'   BinaryFilter                         N
-  'bpcc'   BitsPerComponent                     N
-  'cdef'   ComponentDefinition                  N
-  'cgrp'   ColorGroup                           N
-  'chck'   DigitalSignature                     N
-  'cmap'   ComponentMapping                     N
-  'colr'   ICC_Profile                          ICC_Profile
-           Colorspace                           N
-           ColorSpecification                   N
-  'comp'   Composition                          N
-  'copt'   CompositionOptions                   N
-  'cref'   Cross-Reference                      N
-  'creg'   CodestreamRegistration               N
-  'drep'   DesiredReproductions                 N
-  'dtbl'   DataReference                        N
-  'flst'   FragmentList                         N
-  'free'   Free                                 N
-  'ftbl'   FragmentTable                        N
+  'asoc'   Association                          Jpeg2000
+  'bfil'   BinaryFilter                         no
+  'bpcc'   BitsPerComponent                     no
+  'cdef'   ComponentDefinition                  no
+  'cgrp'   ColorGroup                           no
+  'chck'   DigitalSignature                     no
+  'cmap'   ComponentMapping                     no
+  'colr'   ColorSpecification                   Jpeg2000 ColorSpec
+  'comp'   Composition                          no
+  'copt'   CompositionOptions                   no
+  'cref'   Cross-Reference                      no
+  'creg'   CodestreamRegistration               no
+  'drep'   DesiredReproductions                 no
+  'dtbl'   DataReference                        no
+  'flst'   FragmentList                         no
+  'free'   Free                                 no
+  'ftbl'   FragmentTable                        no
   'ftyp'   FileType                             Jpeg2000 FileType
-  'gtso'   GraphicsTechnologyStandardOutput     N
+  'gtso'   GraphicsTechnologyStandardOutput     no
   'ihdr'   ImageHeader                          Jpeg2000 ImageHeader
-  'inst'   InstructionSet                       N
-  'jP  '   JP2Signature                         N
-  'jp2c'   ContiguousCodestream                 N
+  'inst'   InstructionSet                       no
+  'jP  '   JP2Signature                         no
+  'jp2c'   ContiguousCodestream                 no
   'jp2h'   JP2Header                            Jpeg2000
   'jp2i'   IntellectualProperty                 XMP
   'jpch'   CodestreamHeader                     Jpeg2000
   'jplh'   CompositingLayerHeader               Jpeg2000
-  'lbl '   Label                                N
-  'mdat'   MediaData                            N
-  'mp7b'   MPEG7Binary                          N
-  'nlst'   NumberList                           N
-  'opct'   Opacity                              N
-  'pclr'   Palette                              N
-  'prfl'   Profile                              N
+  'lbl '   Label                                no
+  'mdat'   MediaData                            no
+  'mp7b'   MPEG7Binary                          no
+  'nlst'   NumberList                           no
+  'opct'   Opacity                              no
+  'pclr'   Palette                              no
+  'prfl'   Profile                              no
   'res '   Resolution                           Jpeg2000
   'resc'   CaptureResolution                    Jpeg2000 CaptureResolution
   'resd'   DisplayResolution                    Jpeg2000 DisplayResolution
-  'roid'   ROIDescription                       N
-  'rreq'   ReaderRequirements                   N
+  'roid'   ROIDescription                       no
+  'rreq'   ReaderRequirements                   no
   'uinf'   UUIDInfo                             Jpeg2000
-  'ulst'   UUIDList                             N
-  'url '   URL                                  N
+  'ulst'   UUIDList                             no
+  'url '   URL                                  no
   'uuid'   UUID-EXIF                            EXIF
+           UUID-EXIF2                           EXIF
+           UUID-EXIF_bad                        EXIF
            UUID-IPTC                            IPTC
+           UUID-IPTC2                           IPTC
            UUID-XMP                             XMP
            UUID-GeoJP2                          EXIF
-           UUID-Unknown                         N
-  'xml '   XML                                  XMP
+           UUID-Photoshop                       Photoshop
+           UUID-Unknown                         no
+  'xml '   XML                                  XMP XML
+
+=head3 Jpeg2000 ColorSpec Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    ColorSpecMethod                      no
+      1    ColorSpecPrecedence                  no
+      2    ColorSpecApproximation               no
+      3    ICC_Profile                          ICC_Profile
+           ColorSpace                           no
+           ColorSpecData                        no
 
 =head3 Jpeg2000 FileType Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    MajorBrand                           N
-      1    MinorVersion                         N
-      2    CompatibleBrands                     N
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      0    MajorBrand                           no
+      1    MinorVersion                         no
+      2    CompatibleBrands                     no
 
 =head3 Jpeg2000 ImageHeader Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    ImageHeight                          N
-      4    ImageWidth                           N
-      8    NumberOfComponents                   N
-     10    BitsPerComponent                     N
-     11    Compression                          N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    ImageHeight                          no
+      4    ImageWidth                           no
+      8    NumberOfComponents                   no
+     10    BitsPerComponent                     no
+     11    Compression                          no
 
 =head3 Jpeg2000 CaptureResolution Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    CaptureYResolution                   N
-      4    CaptureXResolution                   N
-      8    CaptureYResolutionUnit               N
-      9    CaptureXResolutionUnit               N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    CaptureYResolution                   no
+      4    CaptureXResolution                   no
+      8    CaptureYResolutionUnit               no
+      9    CaptureXResolutionUnit               no
 
 =head3 Jpeg2000 DisplayResolution Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    DisplayYResolution                   N
-      4    DisplayXResolution                   N
-      8    DisplayYResolutionUnit               N
-      9    DisplayXResolutionUnit               N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    DisplayYResolution                   no
+      4    DisplayXResolution                   no
+      8    DisplayYResolutionUnit               no
+      9    DisplayXResolutionUnit               no
 
 =head2 GIF Tags
@@ -11656,20 +23429,44 @@
   Tag Name                                      Writable
   --------                                      --------
-  AnimationExtension                            GIF Animate
-  Comment                                       Y
-  Duration                                      N
-  FrameCount                                    N
-  GIFVersion                                    N
+  Comment                                       yes
+  Duration                                      no
+  Extensions                                    GIF Extensions
+  FrameCount                                    no
+  GIFVersion                                    no
   ScreenDescriptor                              GIF Screen
-  Text                                          N
-  XMPExtension                                  XMP
-
-=head3 GIF Animate Tags
+  Text                                          no
+
+=head3 GIF Extensions Tags
+
+Tags extracted from GIF89a application extensions.
+
+  Tag ID               Tag Name                 Writable
+  ------               --------                 --------
+  'ICCRGBG1/012'       ICC_Profile              ICC_Profile
+  'MIDICTRL/Jon'       MIDIControl              GIF MIDIControl
+  'MIDISONG/Dm7'       MIDISong                 no
+  'NETSCAPE/2.0'       Animation                GIF Animation
+  'XMP Data/XMP'       XMP                      XMP
+
+=head3 GIF MIDIControl Tags
+
+Information extracted from the MIDI control block extension.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    MIDIControlVersion                   no
+      1    SequenceNumber                       no
+      2    MelodicPolyphony                     no
+      3    PercussivePolyphony                  no
+      4    ChannelUsage                         no
+      6    DelayTime                            no
+
+=head3 GIF Animation Tags
 
 Information extracted from the "NETSCAPE2.0" animation extension.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      2    AnimationIterations                  N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      1    AnimationIterations                  no
 
 =head3 GIF Screen Tags
@@ -11677,12 +23474,13 @@
 Information extracted from the GIF logical screen descriptor.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    ImageWidth                           N
-      2    ImageHeight                          N
-    4.1    HasColorMap                          N
-    4.2    ColorResolutionDepth                 N
-    4.3    BitsPerPixel                         N
-      5    BackgroundColor                      N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    ImageWidth                           no
+      2    ImageHeight                          no
+    4.1    HasColorMap                          no
+    4.2    ColorResolutionDepth                 no
+    4.3    BitsPerPixel                         no
+      5    BackgroundColor                      no
+      6    PixelAspectRatio                     no
 
 =head2 BMP Tags
@@ -11691,16 +23489,31 @@
 of image related information.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      4    ImageWidth                           N
-      8    ImageHeight                          N
-     12    Planes                               N
-     14    BitDepth                             N
-     16    Compression                          N
-     20    ImageLength                          N
-     24    PixelsPerMeterX                      N
-     28    PixelsPerMeterY                      N
-     32    NumColors                            N
-     36    NumImportantColors                   N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    BMPVersion                           no
+      4    ImageWidth                           no
+      8    ImageHeight                          no
+     12    Planes                               no
+     14    BitDepth                             no
+     16    Compression                          no
+     20    ImageLength                          no
+     24    PixelsPerMeterX                      no
+     28    PixelsPerMeterY                      no
+     32    NumColors                            no
+     36    NumImportantColors                   no
+     40    RedMask                              no
+     44    GreenMask                            no
+     48    BlueMask                             no
+     52    AlphaMask                            no
+     56    ColorSpace                           no
+     60    RedEndpoint                          no
+     72    GreenEndpoint                        no
+     84    BlueEndpoint                         no
+     96    GammaRed                             no
+    100    GammaGreen                           no
+    104    GammaBlue                            no
+    108    RenderingIntent                      no
+    112    ProfileDataOffset                    no
+    116    ProfileSize                          no
 
 =head3 BMP OS2 Tags
@@ -11708,10 +23521,48 @@
 Information extracted from OS/2-format BMP images.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      4    ImageWidth                           N
-      6    ImageHeight                          N
-      8    Planes                               N
-     10    BitDepth                             N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    BMPVersion                           no
+      4    ImageWidth                           no
+      6    ImageHeight                          no
+      8    Planes                               no
+     10    BitDepth                             no
+
+=head3 BMP Extra Tags
+
+Extra information extracted from some BMP images.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  EmbeddedJPG                                   no
+  EmbeddedPNG                                   no
+  ICC_Profile                                   ICC_Profile
+  LinkedProfileName                             no
+
+=head2 BPG Tags
+
+The information listed below is extracted from BPG (Better Portable
+Graphics) images.  See L<http://bellard.org/bpg/> for the specification.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    PixelFormat                          no
+    4.1    Alpha                                no
+    4.2    BitDepth                             no
+    4.3    ColorSpace                           no
+    4.4    Flags                                no
+      6    ImageWidth                           no
+      7    ImageHeight                          no
+      8    ImageLength                          no
+
+=head3 BPG Extensions Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  0x0001   EXIF                                 EXIF
+  0x0002   ICC_Profile                          ICC_Profile
+  0x0003   XMP                                  XMP
+  0x0004   ThumbnailBPG                         no
+  0x0005   AnimationControl?                    no
 
 =head2 PICT Tags
